Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/43356/?format=api
{ "ob_id": 43356, "uuid": "38b8f36f312549f88a4b0faa72d6a15b", "title": "Benthic images collected by Autonomous Underwater Vehicle during expedition JC257 in the UK-1 area of the Clarion-Clipperton Zone, Pacific Ocean, 2024", "abstract": "A collection of 1828 benthic still images was obtained using a downward-looking camera mounted on the UK Autosub5 Autonomous Underwater Vehicle (AUV), mission number: AS5M091, deployed from RRS James Cook during cruise JC257 in the abyssal plain (~4100 m depth) of northern part of the UK-1 exploration area of the Clarion-Clipperton Zone, Pacific Ocean, in 2024. The AUV was programmed to replicate five 2 km long transect lines that were previously surveyed in 2023 during cruise JC241 using the UK ISIS Remotely Operated Vehicle (ROV). The Grasshopper2 GS2-GE-50S5C camera mounted on the AUV collected downward-looking still images at a target altitude of 3 m above the seabed, with one image being captured per second. These images were colour corrected to enhance visual fidelity and converted from original 8-bit RAW to JPG images. The final image set was inspected for overlap, which was non-existent. The image set was subsequently annotated using the online platform BIIGLE (Bio-Image Indexing and Graphical Labelling Environment) to derive ecological understanding on seabed community composition under natural dynamics. The data were collected by scientists from the National Oceanography Centre, Southampton, UK as part of the NERC-funded Seabed Mining And Resilience To EXperimental impact (SMARTEX) project (NE/T003537/1).", "keywords": "", "publicationState": "citable", "dataPublishedTime": "2024-12-18T15:00:00", "doiPublishedTime": "2024-12-19T11:53:40", "updateFrequency": "notPlanned", "status": "final", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/43354/?format=api", "dataPath": "/bodc/deposits01/soc240663", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 6343823700, "numberOfFiles": 1829, "fileFormat": "JPG" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/11991/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/4659/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "The data are archived on the British Oceanographic Data Centre (BODC)'s space at the Centre for Environmental Data Analysis (CEDA) and assigned a DOI. No quality control procedures were applied by BODC.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/13218/?format=api" ], "projects": [], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/206360/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/206361/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/206362/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/206357/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/206358/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/206359/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/206363/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/206364/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/206365/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/206366/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [] }